- Report a file upload complete
Create file upload URLs
Get file information
Report a file upload comp...
Notify Wisedocs that a file has been uploaded to its presigned putUrl so validation and processing can begin.
The call is idempotent. If a file fails validation (INVALID), re-upload the file to its putUrl with the required headers and call this endpoint again.
Security
oauth2ClientCredentials(Required scopes: files:write) and apiKeyAuth
- Mock serverhttps://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases/{caseUuid}/files/{fileUuid}
- Development serverhttps://dev-api.wisedocs.ai/api/v1/cases/{caseUuid}/files/{fileUuid}
- Staging serverhttps://staging-api.wisedocs.ai/api/v1/cases/{caseUuid}/files/{fileUuid}
- Production serverhttps://api.wisedocs.ai/api/v1/cases/{caseUuid}/files/{fileUuid}
curl -i -X PATCH \
'https://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases/{caseUuid}/files/{fileUuid}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-d '{
"status": "UPLOADED"
}'Response
{ "data": { "fileUuid": "323e4567-e89b-12d3-a456-426614174000", "caseUuid": "123e4567-e89b-12d3-a456-426614174000", "status": "PENDING_VALIDATE" }, "status": "success" }